Bug 500531 - Mouse can not move and keyboard does not work after install f11 in kvm
Mouse can not move and keyboard does not work after install f11 in kvm
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
11
i386 Linux
low Severity high
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-13 01:26 EDT by Liam Li
Modified: 2009-11-20 14:44 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-20 14:44:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
virt-manager.log (450.98 KB, text/plain)
2009-05-18 22:00 EDT, Liam Li
no flags Details
virt manager log (18.09 KB, text/plain)
2009-05-26 04:05 EDT, Liam Li
no flags Details
guest log (1.14 KB, text/plain)
2009-05-26 04:07 EDT, Liam Li
no flags Details

  None (edit)
Description Liam Li 2009-05-13 01:26:49 EDT
Description of problem:
Install f11 in kvm and reboot,before we log in gdm, there are some setups need to take,but mouse can not move and keyboard
does not work. 

Version-Release number of selected component (if applicable):
virt-manager-0.7.0-4.fc11.i586

How reproducible:

100%
Steps to Reproduce:
1.Create VM in vert-manager with 1024M/8G/1cpu
2.install f11-beta
3.after install, reboot system ,Welcome and Setup Agent will appear before gdm. The mouse can not move ,keyboard does not work.
  
Actual results:


Expected results:


Additional info:
Comment 1 Cole Robinson 2009-05-13 08:11:46 EDT
Please attach ~/.virt-manager/virt-manager.log. Thanks
Comment 2 Liam Li 2009-05-18 22:00:23 EDT
Created attachment 344544 [details]
virt-manager.log
Comment 3 Mark McLoughlin 2009-05-25 10:27:12 EDT
Liam: please only include the part of virt-manager.log relevant to this bug

e.g. try to reproduce again, but before you do that run "mv ~/.virt-manager/virt-manager.log ~/.virt-manager/virt-manager.log.old"

Also, include the logfile for the guest from /var/log/libvirt/qemu and the version numbers of python-virtinst, libvirt and qemu.

Finally, it might be worth trying the latest virt-manager and libvirt from updates-testing:

  https://admin.fedoraproject.org/updates/virt-manager-0.7.0-5.fc11
  https://admin.fedoraproject.org/updates/libvirt-0.6.2-10.fc11
Comment 4 Liam Li 2009-05-26 04:03:52 EDT
This time,with the latest virt-manager,after all f11-beta packages installed,it will hung up there.Before,when this happened, we can force off the system and restart system,the system can boot to "Welcome and Setup Agent",this time, the system can not boot after force off.

another bug related to this one is:
https://bugzilla.redhat.com/show_bug.cgi?id=501412

please see attached logs.
Comment 5 Liam Li 2009-05-26 04:05:37 EDT
Created attachment 345393 [details]
virt manager log
Comment 6 Liam Li 2009-05-26 04:07:26 EDT
Created attachment 345394 [details]
guest log
Comment 7 Liam Li 2009-05-26 04:09:08 EDT
[root@dhcp-66-70-91 ~]# rpm -qa |grep virt
virt-manager-0.7.0-5.fc11.i586
libvirt-python-0.6.2-10.fc11.i586
virt-viewer-0.0.3-4.fc11.i586
libvirt-0.6.2-10.fc11.i586
python-virtinst-0.400.3-7.fc11.noarch
[root@dhcp-66-70-91 ~]# rpm -qa |grep qemu
qemu-system-cris-0.10.4-5.fc11.i586
qemu-0.10.4-5.fc11.i586
qemu-common-0.10.4-5.fc11.i586
qemu-system-sparc-0.10.4-5.fc11.i586
qemu-system-x86-0.10.4-5.fc11.i586
qemu-system-mips-0.10.4-5.fc11.i586
qemu-kvm-0.10.4-5.fc11.i586
qemu-user-0.10.4-5.fc11.i586
qemu-system-arm-0.10.4-5.fc11.i586
qemu-system-ppc-0.10.4-5.fc11.i586
qemu-img-0.10.4-5.fc11.i586
qemu-debuginfo-0.10.4-5.fc11.i586
qemu-system-sh4-0.10.4-5.fc11.i586
qemu-kvm-tools-0.10.4-5.fc11.i586
qemu-system-m68k-0.10.4-5.fc11.i586
Comment 8 Mark McLoughlin 2009-06-04 09:28:33 EDT
Please try again with qemu-0.10.5-2.fc11 and confirm whether mouse/keyboard is still broken again
Comment 9 Bug Zapper 2009-06-09 11:43:36 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Dave Allan 2009-08-18 15:48:41 EDT
With an updated F10 host, an F11 guest experienced the behavior described after installation.  Updating the guest resolved the problem.
Comment 11 Cole Robinson 2009-09-18 12:38:28 EDT
Since someone has reported this working, and it likely isn't related to virt-manager anyways, I'm closing as CURRENTRELEASE. If anyone can still reproduce, please reopen this bug and we can triage accordingly.
Comment 12 Dave Allan 2009-09-21 13:50:48 EDT
Unfortunately, it has reappeared this morning, so I'm reopening the bug.  However, I noticed something: the first VM to be accessed by virt-viewer is ok, which perhaps explains why it seems to come and go.
Comment 13 Andri Möll 2009-09-28 08:39:11 EDT
Experienced the same issue today.  To be specific, it affects only USB HIDs (both mice and keyboards).  PS2 keyboards work.
Comment 14 Mark McLoughlin 2009-10-01 11:49:38 EDT
Dave/Andri: please include your ~/.virt-manager/virt-manager.log, /var/log/libvirt/qemu/$guest.log, information about what packages you have installed, etc.

See https://fedoraproject.org/wiki/Reporting_virtualization_bugs
Comment 15 Andri Möll 2009-10-01 16:02:41 EDT
> Dave/Andri: please include your ~/.virt-manager/virt-manager.log,
> /var/log/libvirt/qemu/$guest.log, information about what packages you have
> installed, etc.
> 
> See https://fedoraproject.org/wiki/Reporting_virtualization_bugs  

If I begin to use virt-manager again and experience this, I'll do so.
Comment 16 Mark McLoughlin 2009-10-01 16:13:38 EDT
(In reply to comment #15)
> > Dave/Andri: please include your ~/.virt-manager/virt-manager.log,
> > /var/log/libvirt/qemu/$guest.log, information about what packages you have
> > installed, etc.
> > 
> > See https://fedoraproject.org/wiki/Reporting_virtualization_bugs  
> 
> If I begin to use virt-manager again and experience this, I'll do so.  

If you just use qemu-kvm from the command line, including the full command line you use is enough and the kernel/qemu-kvm versions you're using.
Comment 17 Andri Möll 2009-10-01 16:33:04 EDT
(In reply to comment #16)
> > If I begin to use virt-manager again and experience this, I'll do so.  
> 
> If you just use qemu-kvm from the command line, including the full command line
> you use is enough and the kernel/qemu-kvm versions you're using.  

Actually I don't use KVM daily.  I was just trying to install Windows XP when the USB HIDs stopped working.

Related packages:
kernel-2.6.30.5-43.fc11.x86_64
% rpm -qa|grep virt
libvirt-python-0.6.2-17.fc11.x86_64
libvirt-0.6.2-17.fc11.x86_64
python-virtinst-0.400.3-8.fc11.noarch
virt-viewer-0.0.3-6.fc11.x86_64
virt-manager-0.7.0-5.fc11.x86_64
% rpm -qa|grep qemu
qemu-common-0.10.6-5.fc11.x86_64
qemu-system-x86-0.10.6-5.fc11.x86_64
qemu-img-0.10.6-5.fc11.x86_64
Comment 18 Mark McLoughlin 2009-10-01 16:43:25 EDT
(In reply to comment #17)

> Actually I don't use KVM daily.  I was just trying to install Windows XP when
> the USB HIDs stopped working.

Okay, but this bug is about the keyboard/mouse not working in a Fedora 11 KVM guest
Comment 19 Andri Möll 2009-10-02 04:07:26 EDT
(In reply to comment #18)
> (In reply to comment #17)
> 
> > Actually I don't use KVM daily.  I was just trying to install Windows XP when
> > the USB HIDs stopped working.
> 
> Okay, but this bug is about the keyboard/mouse not working in a Fedora 11 KVM
> guest  

I didn't realize. :-)  I'll submit a new bug when the host issue reappears.
Comment 20 Mark McLoughlin 2009-11-20 14:44:45 EST
Okay, no futher info since 2009-10-01, so closing

Note You need to log in before you can comment on or make changes to this bug.